## com.baidubce.services.bmr.model
Class InstanceGroup

    java.lang.Object
      com.baidubce.services.bmr.model.InstanceGroup

    public class InstanceGroup

extends Object

Constructor Summary
`InstanceGroup()`

Method Summary
`String` `getId()`
`String` `getInstanceType()`
`String` `getName()`
`int` `getRequestedInstanceCount()`
`String` `getType()`
`void` `setId(String id)`
`void` `setInstanceType(String instanceType)`
`void` `setName(String name)`
`void` `setRequestedInstanceCount(int requestedInstanceCount)`
`void` `setType(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceGroup

    public InstanceGroup()

Method Detail

### setId

    public void setId(String id)

### getId

    public String getId()

### setInstanceType

    public void setInstanceType(String instanceType)

### getInstanceType

    public String getInstanceType()

### setName

    public void setName(String name)

### getName

    public String getName()

### setRequestedInstanceCount

    public void setRequestedInstanceCount(int requestedInstanceCount)

### getRequestedInstanceCount

    public int getRequestedInstanceCount()

### setType

    public void setType(String type)

### getType

    public String getType()

Copyright © 2016. All rights reserved.